# SXP Reference

SXP_getResultNodeset | Functions

#### Syntax

         SXP_getResultNodeset(Q, resultPtr)

Name | Type | Description
--- | --- | ---
`Q` | `QueryContext` | The current query context.
`resultPtr` | `SXP_NodeList*` | The pointer to store the result at.
`(RET)` | `int` | The error code.

#### Description

Retrieves the result of a `SXP_query` as a nodeset. This can be subsequently manipulated using `SXP_getNodeListItem` and `SXP_getNodeListLength`. If the result is not of type nodeset, then XPath does not allow its conversion to a nodeset, and `SXP_ getResultNodeset` returns NULL in *resultPtr.

#### See Also

Groups | [ Functions ]
Entries | [ QueryContext | SXP_NodeList | SXP_getNodeListItem | SXP_getNodeListLength | SXP_getResultBool | SXP_getResultNumber | SXP_getResultString | SXP_getResultType | SXP_query ]

© 2001-2003 Ginger Alliance
revision 03-01-31
This page was generated by APIDOC